import {
  a as r,
  c as u
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/t4-templating.js
var o = u((g, l) => {
  l.exports = s;
  s.displayName = "t4Templating";
  s.aliases = [];
  function s(c) {
    (function(i) {
      function n(e, t, a) {
        return {
          pattern: RegExp("<#" + e + "[\\s\\S]*?#>"),
          alias: "block",
          inside: {
            delimiter: {
              pattern: RegExp("^<#" + e + "|#>$"),
              alias: "important"
            },
            content: {
              pattern: /[\s\S]+/,
              inside: t,
              alias: a
            }
          }
        };
      }
      r(n, "createBlock");
      function p(e) {
        var t = i.languages[e], a = "language-" + e;
        return {
          block: {
            pattern: /<#[\s\S]+?#>/,
            inside: {
              directive: n("@", {
                "attr-value": {
                  pattern: /=(?:("|')(?:\\[\s\S]|(?!\1)[^\\])*\1|[^\s'">=]+)/,
                  inside: {
                    punctuation: /^=|^["']|["']$/
                  }
                },
                keyword: /\b\w+(?=\s)/,
                "attr-name": /\b\w+/
              }),
              expression: n("=", t, a),
              "class-feature": n("\\+", t, a),
              standard: n("", t, a)
            }
          }
        };
      }
      r(p, "createT4"), i.languages["t4-templating"] = Object.defineProperty({}, "createT4", {
        value: p
      });
    })(c);
  }
  r(s, "t4Templating");
});

export {
  o as a
};
